Bug 221642 - devel/libical build fails with undefined reference
Summary: devel/libical build fails with undefined reference
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Don Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-20 06:34 UTC by Robin
Modified: 2018-03-22 23:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Build log (87.32 KB, text/plain)
2017-08-20 06:34 UTC, Robin
no flags Details
patch to compile libical with compiler:c++11-lib (385 bytes, patch)
2018-03-21 22:32 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin 2017-08-20 06:34:42 UTC
Created attachment 185597 [details]
Build log

Building this port on PowerPC fails with an undefined reference:


[121/150] : && /usr/bin/cc -O2 -pipe  -fno-strict-aliasing -fvisibility=hidden -Wno-deprecated -Wall -Wextra -Winit-self -Wmissing-include-dirs -Wunused -Wno-div-by-zero -Wundef -Wpointer-arith -Werror=return-type -Wformat -Wformat-security -O2 -pipe  -fno-strict-aliasing   src/test/CMakeFiles/stow.dir/stow.c.o  -o src/test/stow  -Wl,-rpath,/usr/ports/devel/libical/work/libical-2.0.0/lib:/usr/local/lib lib/libicalvcal.so.2.0.0 lib/libicalss_cxx.so.2.0.0 lib/libicalss.so.2.0.0 lib/libical_cxx.so.2.0.0 lib/libical.so.2.0.0 /usr/local/lib/libicuuc.so /usr/local/lib/libicui18n.so -pthread && :
FAILED: src/test/stow 
: && /usr/bin/cc -O2 -pipe  -fno-strict-aliasing -fvisibility=hidden -Wno-deprecated -Wall -Wextra -Winit-self -Wmissing-include-dirs -Wunused -Wno-div-by-zero -Wundef -Wpointer-arith -Werror=return-type -Wformat -Wformat-security -O2 -pipe  -fno-strict-aliasing   src/test/CMakeFiles/stow.dir/stow.c.o  -o src/test/stow  -Wl,-rpath,/usr/ports/devel/libical/work/libical-2.0.0/lib:/usr/local/lib lib/libicalvcal.so.2.0.0 lib/libicalss_cxx.so.2.0.0 lib/libicalss.so.2.0.0 lib/libical_cxx.so.2.0.0 lib/libical.so.2.0.0 /usr/local/lib/libicuuc.so /usr/local/lib/libicui18n.so -pthread && :
/usr/local/lib/libicuuc.so: undefined reference to `__cxa_throw_bad_array_new_length@CXXABI_1.3.8'
ninja: build stopped: subcommand failed.
*** Error code 1
Comment 1 Justin Hibbits freebsd_committer 2018-03-07 17:00:14 UTC
All ports depending on ICU need to be built with a C++11 compiler.
Comment 2 Don Lewis freebsd_committer 2018-03-21 22:32:05 UTC
Created attachment 191724 [details]
patch to compile libical with compiler:c++11-lib

Try the attached patch.
Comment 3 commit-hook freebsd_committer 2018-03-22 23:33:28 UTC
A commit references this bug:

Author: truckman
Date: Thu Mar 22 23:32:43 UTC 2018
New revision: 465324
URL: https://svnweb.freebsd.org/changeset/ports/465324

Log:
  USES+=compiler:c++11-lib to unbreak devel/libical build on PowerPC
  and other arches where gcc is the base compiler.

  No PORTREVISION bump because this is a no-op on arches with clang
  as the base compiler, and it unbreaks the build on the rest.

  PR:		221642, 215770
  Reported by:	Robin <solence AT zoho.eu>

Changes:
  head/devel/libical/Makefile
Comment 4 Don Lewis freebsd_committer 2018-03-22 23:36:41 UTC
Should be fixed by r465324, but I can't test on PowerPC.  Please reopen if it is still broken.